SketchAutoDimensioningRule Enumeration

NXOpen.Sketch.AutoDimensioningRule is an alias for NXOpen.SketchAutoDimensioningRule

class NXOpen.SketchAutoDimensioningRule

Bases: object

Type of Auto Dimensioning rules.

It should match the rule types defined in Auto Dimensioning engine. Auto Dimensioning rules affect how the dimensions are created by the Auto Dimensioner. The rules will be put in a list, the first the rule with the highest priority and the last rule with the lowest priority. The user can change the order of the rules in the list to persue the flavor of the dimensions he wants. NXOpen.SketchAutoDimensioningRule.Symmetric: create symmetric dimensions if the curves are symmetric NXOpen.SketchAutoDimensioningRule.AdjacentAngle: create angles between adjacent lines NXOpen.SketchAutoDimensioningRule.Length: create length dimension for lines NXOpen.SketchAutoDimensioningRule.HorizontalVertical: create horizontal and vertical dimensions NXOpen.SketchAutoDimensioningRule.ReferenceAxes: create dimensions between curves and reference axes

Enum Members

Enum Member Enum Member Description
Symmetric
Create Symmetric Dimensions
AdjacentAngle
Create Adjacent Angles
Length
Create Length Dimension
HorizontalVertical
Create Horizontal and Vertical Dimensions
ReferenceAxes
Create Dimensions to Reference Axes
ValueOf()

Returns enum member equivalent to the value passed. Useful for bit operations of enum members.

Signature ValueOf(value)

Parameters:value – Any integer value or bit operation result of enum members:type value: int:returns: Enum member equivalent to the value passed.
Return type:Enum Member type.

New in version NX9.0.1.

License requirements: None.